Subject: [Sip] Need clarification of the refresher's behavior

From: Yuko TAKAHASHI <[email-masked]>
Date: Tue, 25 Apr 2006 16:24:36 +0900

Dear all,

 Could I ask for clarification of the refresher's behavior in the following sequence?

 The refreshee rejects the refresh request with a 480 Temporarily Unavailable and then is silently disconnected from the network. The session is not extended here and eventually the session expiration time is reached, but no BYE is generated from the refreshee.

 RFC4028 mentions that the refreshee should send a BYE on session expiration, but how about for the refresher, if no BYE is received? The refresher holds state for session expiration, but no action is specified, as far as I know. Should it send refresh requests even after session expiration, because the session is still active? I personally feel this better suits the purpose of session timer. Thanks.

 Regards,
 Yuko

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip